@keyframes progress-bar-stripes {
    from {
        background-position: 1rem 0;
    }

    to {
        background-position: 0 0;
    }
}

* {
    box-sizing: border-box;

    &::before {
        box-sizing: border-box;
    }

    &::after {
        box-sizing: border-box;
    }
}

html {
    font-family: "Helvetica";
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

article {
    display: block;
}

aside {
    display: block;
}

figcaption {
    display: block;
}

figure {
    display: block;
    margin: 0 0 1rem;
}

footer {
    display: block;
}

header {
    display: block;
}

hgroup {
    display: block;
}

main {
    display: block;
}

nav {
    display: block;
}

section {
    display: block;
}

body {
    margin: 0;
    font-family: "Helvetica" ,-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
    font-weight: normal;
    line-height: 1.6;
    color: #000;
    text-align: left;
    background-color: var(--main);
}

[tabindex="-1"] {
    &:focus {
        &:not(:focus-visible) {
            outline: 0 !important;
        }
    }
}

hr {
    box-sizing: content-box;
    height: 0;
    overflow: visible;
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

small {
    font-size: 80%;
    font-weight: 400;
    font-size: 80%;
}

a{
    &:hover{
        color: var(--default);
    }
}

img{
    max-width: 100%;
}

.small {
    font-size: 80%;
    font-weight: 400;
}

h1 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

h2 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

h3 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

h4 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

h5 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

h6 {
    margin-top: 0;
    margin-bottom: 15px;
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

p {
    margin-top: 0;
    margin-bottom: 15px;
}

ol {
    margin-top: 0;
    margin-bottom: 15px;

    ol {
        margin-bottom: 0;
    }

    ul {
        margin-bottom: 0;
    }
}

ul {
    margin-top: 0;
    margin-bottom: 15px;

    ul {
        margin-bottom: 0;
    }

    ol {
        margin-bottom: 0;
    }
}

dl {
    margin-top: 0;
    margin-bottom: 15px;
}

b {
    font-weight: bolder;
}

strong {
    font-weight: bolder;
}

sub {
    position: relative;
    font-size: 75%;
    line-height: 0;
    vertical-align: baseline;
    bottom: -.25em;
}

sup {
    position: relative;
    font-size: 75%;
    line-height: 0;
    vertical-align: baseline;
    top: -.5em;
}

a {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;

    &:hover {
        color: #0056b3;
        text-decoration: underline;
    }

    &:not([href]) {
        color: inherit;
        text-decoration: none;

        &:hover {
            color: inherit;
            text-decoration: none;
        }
    }

    >code {
        color: inherit;
    }
}

img {
    vertical-align: middle;
    border-style: none;
}

svg {
    overflow: hidden;
    vertical-align: middle;
}

table {
    border-collapse: collapse;
}

th {
    text-align: inherit;
}

label {
    display: inline-block;
    margin-bottom: 0.5rem;
}

input {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    overflow: visible;

    &:focus{
        outline: none;
        box-shadow: unset;
        border-color: transparent;
    }
}

select {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    text-transform: none;
    word-wrap: normal;
}

optgroup {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

textarea {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    overflow: auto;
    resize: vertical;
}

[role="button"] {
    cursor: pointer;
}

[type="button"] {
    -webkit-appearance: button;

    &:not(:disabled) {
        cursor: pointer;
    }

    &::-moz-focus-inner {
        padding: 0;
        border-style: none;
    }
}

[type="reset"] {
    -webkit-appearance: button;

    &:not(:disabled) {
        cursor: pointer;
    }

    &::-moz-focus-inner {
        padding: 0;
        border-style: none;
    }
}

[type="submit"] {
    -webkit-appearance: button;

    &:not(:disabled) {
        cursor: pointer;
    }

    &::-moz-focus-inner {
        padding: 0;
        border-style: none;
    }
}

input[type="radio"] {
    box-sizing: border-box;
    padding: 0;
}

input[type="checkbox"] {
    box-sizing: border-box;
    padding: 0;
}

fieldset {
    min-width: 0;
    padding: 0;
    margin: 0;
    border: 0;
}

progress {
    vertical-align: baseline;
}

[type="number"] {
    &::-webkit-inner-spin-button {
        height: auto;
    }

    &::-webkit-outer-spin-button {
        height: auto;
    }
}

[type="search"] {
    outline-offset: -2px;
    -webkit-appearance: none;

    &::-webkit-search-decoration {
        -webkit-appearance: none;
    }
}

output {
    display: inline-block;
}

[hidden] {
    display: none !important;
}

.h1 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.h2 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.h3 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.h4 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.h5 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.h6 {
    margin-bottom: 15px;
    font-weight: normal;
    line-height: 1.2;
}

.img-fluid {
    max-width: 100%;
    height: auto;
}

.img-thumbnail {
    padding: 0.25rem;
    background-color: #fff;
    border: 1px solid #dee2e6;
    border-radius: 0.25rem;
    max-width: 100%;
    height: auto;
}

.figure {
    display: inline-block;
}

.figure-img {
    margin-bottom: 0.5rem;
    line-height: 1;
}

.figure-caption {
    font-size: 90%;
    color: #6c757d;
}

code {
    font-size: 87.5%;
    color: #e83e8c;
    word-wrap: break-word;
}

pre {
    display: block;
    font-size: 87.5%;
    color: #212529;

    code {
        font-size: inherit;
        color: inherit;
        word-break: normal;
    }
}

.pre-scrollable {
    max-height: 340px;
    overflow-y: scroll;
}

.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;

    th {
        padding: 0.75rem;
        vertical-align: top;
        border-top: 1px solid #dee2e6;
    }

    td {
        padding: 0.75rem;
        vertical-align: top;
        border-top: 1px solid #dee2e6;
    }

    thead {
        th {
            vertical-align: bottom;
            border-bottom: 2px solid #dee2e6;
        }
    }

    tbody+tbody {
        border-top: 2px solid #dee2e6;
    }
}

.table-sm {
    th {
        padding: 0.3rem;
    }

    td {
        padding: 0.3rem;
    }
}

.table-bordered {
    border: 1px solid #dee2e6;

    th {
        border: 1px solid #dee2e6;
    }

    td {
        border: 1px solid #dee2e6;
    }

    thead {
        th {
            border-bottom-width: 2px;
        }

        td {
            border-bottom-width: 2px;
        }
    }
}

.table-borderless {
    th {
        border: 0;
    }

    td {
        border: 0;
    }

    thead {
        th {
            border: 0;
        }
    }

    tbody+tbody {
        border: 0;
    }
}

.table-striped {
    tbody {
        tr {
            &:nth-of-type(odd) {
                background-color: rgba(0, 0, 0, 0.05);
            }
        }
    }
}

.table-hover {
    tbody {
        tr {
            &:hover {
                color: #212529;
                background-color: rgba(0, 0, 0, 0.075);
            }
        }
    }
}

.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;

    >.table-bordered {
        border: 0;
    }
}

.form-control {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

    &::-ms-expand {
        background-color: transparent;
        border: 0;
    }

    &:-moz-focusring {
        color: transparent;
        text-shadow: 0 0 0 #495057;
    }

    &:focus {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }

    &::-webkit-input-placeholder {
        color: #6c757d;
        opacity: 1;
    }

    &::-moz-placeholder {
        color: #6c757d;
        opacity: 1;
    }

    &:-ms-input-placeholder {
        color: #6c757d;
        opacity: 1;
    }

    &::-ms-input-placeholder {
        color: #6c757d;
        opacity: 1;
    }

    &::placeholder {
        color: #6c757d;
        opacity: 1;
    }

    &:disabled {
        background-color: #e9ecef;
        opacity: 1;
    }
}

.form-control[readonly] {
    background-color: #e9ecef;
    opacity: 1;
}

input[type="date"].form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="time"].form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="datetime-local"].form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="month"].form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

select.form-control {
    &:focus {
        &::-ms-value {
            color: #495057;
            background-color: #fff;
        }
    }
}

.form-control-file {
    display: block;
    width: 100%;
}

.form-control-range {
    display: block;
    width: 100%;
}

.form-control-sm {
    height: calc(1.5em + 0.5rem + 2px);
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}

.form-control-lg {
    height: calc(1.5em + 1rem + 2px);
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0.3rem;
}

select.form-control[size] {
    height: auto;
}

select.form-control[multiple] {
    height: auto;
}

textarea.form-control {
    height: auto;
}

.form-group {
    margin-bottom: 15px;
}

.form-row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -5px;
    margin-left: -5px;

    >.col {
        padding-right: 5px;
        padding-left: 5px;
    }

    >[class*="col-"] {
        padding-right: 5px;
        padding-left: 5px;
    }
}

.form-check-inline {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    padding-left: 0;
    margin-right: 0.75rem;

    .form-check-input {
        position: static;
        margin-top: 0;
        margin-right: 0.3125rem;
        margin-left: 0;
    }
}

.form-inline {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    -ms-flex-align: center;
    align-items: center;

    .form-check {
        width: 100%;
    }
}

input[type="submit"].btn-block {
    width: 100%;
}

input[type="reset"].btn-block {
    width: 100%;
}

input[type="button"].btn-block {
    width: 100%;
}

.fade {
    transition: opacity 0.15s linear;

    &:not(.show) {
        opacity: 0;
    }
}

.collapse {
    &:not(.show) {
        display: none;
    }
}

.collapsing {
    position: relative;
    height: 0;
    overflow: hidden;
    transition: height 0.35s ease;
}

.dropup {
    position: relative;

    .dropdown-menu {
        top: auto;
        bottom: 100%;
        margin-top: 0;
        margin-bottom: 0.125rem;
    }

    .dropdown-toggle {
        &::after {
            display: inline-block;
            margin-left: 0.255em;
            vertical-align: 0.255em;
            content: "";
            border-top: 0;
            border-right: 0.3em solid transparent;
            border-bottom: 0.3em solid;
            border-left: 0.3em solid transparent;
        }

        &:empty {
            &::after {
                margin-left: 0;
            }
        }
    }
}

.dropright {
    position: relative;

    .dropdown-menu {
        top: 0;
        right: auto;
        left: 100%;
        margin-top: 0;
        margin-left: 0.125rem;
    }

    .dropdown-toggle {
        &::after {
            display: inline-block;
            margin-left: 0.255em;
            vertical-align: 0.255em;
            content: "";
            border-top: 0.3em solid transparent;
            border-right: 0;
            border-bottom: 0.3em solid transparent;
            border-left: 0.3em solid;
            vertical-align: 0;
        }

        &:empty {
            &::after {
                margin-left: 0;
            }
        }
    }
}

.dropdown {
    position: relative;
}

.dropleft {
    position: relative;

    .dropdown-menu {
        top: 0;
        right: 100%;
        left: auto;
        margin-top: 0;
        margin-right: 0.125rem;
    }

    .dropdown-toggle {
        &::after {
            display: inline-block;
            margin-left: 0.255em;
            vertical-align: 0.255em;
            content: "";
            display: none;
        }

        &::before {
            display: inline-block;
            margin-right: 0.255em;
            vertical-align: 0.255em;
            content: "";
            border-top: 0.3em solid transparent;
            border-right: 0.3em solid;
            border-bottom: 0.3em solid transparent;
            vertical-align: 0;
        }

        &:empty {
            &::after {
                margin-left: 0;
            }
        }
    }
}

.dropdown-toggle {
    white-space: nowrap;

    &::after {
        display: inline-block;
        margin-left: 0.255em;
        vertical-align: 0.255em;
        content: "";
        border-top: 0.3em solid;
        border-right: 0.3em solid transparent;
        border-bottom: 0;
        border-left: 0.3em solid transparent;
    }

    &:empty {
        &::after {
            margin-left: 0;
        }
    }
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 10rem;
    padding: 0.5rem 0;
    margin: 0.125rem 0 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
}

.dropdown-menu-left {
    right: auto;
    left: 0;
}

.dropdown-menu-right {
    right: 0;
    left: auto;
}

.dropdown-menu[x-placement^="top"] {
    right: auto;
    bottom: auto;
}

.dropdown-menu[x-placement^="right"] {
    right: auto;
    bottom: auto;
}

.dropdown-menu[x-placement^="bottom"] {
    right: auto;
    bottom: auto;
}

.dropdown-menu[x-placement^="left"] {
    right: auto;
    bottom: auto;
}

.dropdown-divider {
    height: 0;
    margin: 0.5rem 0;
    overflow: hidden;
    border-top: 1px solid #e9ecef;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: 0.25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;

    &:hover {
        color: #16181b;
        text-decoration: none;
        background-color: #f8f9fa;
    }

    &:focus {
        color: #16181b;
        text-decoration: none;
        background-color: #f8f9fa;
    }

    &:active {
        color: #fff;
        text-decoration: none;
        background-color: #007bff;
    }

    &:disabled {
        color: #6c757d;
        pointer-events: none;
        background-color: transparent;
    }
}

.dropdown-item.active {
    color: #fff;
    text-decoration: none;
    background-color: #007bff;
}

.dropdown-item.disabled {
    color: #6c757d;
    pointer-events: none;
    background-color: transparent;
}

.dropdown-menu.show {
    display: block;
}

.input-group {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: stretch;
    align-items: stretch;
    width: 100%;

    >.form-control {
        position: relative;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
        min-width: 0;
        margin-bottom: 0;

        + {
            .form-control {
                margin-left: -1px;
            }

            .custom-select {
                margin-left: -1px;
            }

            .custom-file {
                margin-left: -1px;
            }
        }

        &:focus {
            z-index: 3;
        }

        &:not(:last-child) {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }

        &:not(:first-child) {
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }
    }

    >.form-control-plaintext {
        position: relative;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
        min-width: 0;
        margin-bottom: 0;

        + {
            .form-control {
                margin-left: -1px;
            }

            .custom-select {
                margin-left: -1px;
            }

            .custom-file {
                margin-left: -1px;
            }
        }
    }

    >.custom-select {
        position: relative;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
        min-width: 0;
        margin-bottom: 0;

        + {
            .form-control {
                margin-left: -1px;
            }

            .custom-select {
                margin-left: -1px;
            }

            .custom-file {
                margin-left: -1px;
            }
        }

        &:focus {
            z-index: 3;
        }

        &:not(:last-child) {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }

        &:not(:first-child) {
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }
    }

    >.custom-file {
        position: relative;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
        min-width: 0;
        margin-bottom: 0;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: center;
        align-items: center;

        + {
            .form-control {
                margin-left: -1px;
            }

            .custom-select {
                margin-left: -1px;
            }

            .custom-file {
                margin-left: -1px;
            }
        }

        .custom-file-input {
            &:focus {
                ~ {
                    .custom-file-label {
                        z-index: 3;
                    }
                }

                z-index: 4;
            }
        }

        &:not(:last-child) {
            .custom-file-label {
                border-top-right-radius: 0;
                border-bottom-right-radius: 0;

                &::after {
                    border-top-right-radius: 0;
                    border-bottom-right-radius: 0;
                }
            }
        }

        &:not(:first-child) {
            .custom-file-label {
                border-top-left-radius: 0;
                border-bottom-left-radius: 0;
            }
        }
    }
}

.nav {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

.nav-link {
    display: block;
    padding: 0.5rem 1rem;

    &:hover {
        text-decoration: none;
    }

    &:focus {
        text-decoration: none;
    }
}

.nav-link.disabled {
    color: #6c757d;
    pointer-events: none;
    cursor: default;
}

.nav-tabs {
    border-bottom: 1px solid #dee2e6;

    .nav-item {
        margin-bottom: -1px;
    }

    .nav-link {
        border: 1px solid transparent;
        border-top-left-radius: 0.25rem;
        border-top-right-radius: 0.25rem;

        &:hover {
            border-color: #e9ecef #e9ecef #dee2e6;
        }

        &:focus {
            border-color: #e9ecef #e9ecef #dee2e6;
        }
    }

    .nav-link.disabled {
        color: #6c757d;
        background-color: transparent;
        border-color: transparent;
    }

    .nav-link.active {
        color: #495057;
        background-color: #fff;
        border-color: #dee2e6 #dee2e6 #fff;
    }

    .nav-item.show {
        .nav-link {
            color: #495057;
            background-color: #fff;
            border-color: #dee2e6 #dee2e6 #fff;
        }
    }

    .dropdown-menu {
        margin-top: -1px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }
}

.nav-pills {
    .nav-link {
        border-radius: 0.25rem;
    }

    .nav-link.active {
        color: #fff;
        background-color: #007bff;
    }

    .show {
        >.nav-link {
            color: #fff;
            background-color: #007bff;
        }
    }
}

.nav-fill {
    .nav-item {
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        text-align: center;
    }
}

.nav-justified {
    .nav-item {
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -ms-flex-positive: 1;
        flex-grow: 1;
        text-align: center;
    }
}

.tab-content {
    >.tab-pane {
        display: none;
    }

    >.active {
        display: block;
    }
}

.navbar {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 0.5rem 1rem;

    .container {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .container-fluid {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .container-sm {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .container-md {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .container-lg {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .container-xl {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }
}

.navbar-nav {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;

    .nav-link {
        padding-right: 0;
        padding-left: 0;
    }

    .dropdown-menu {
        position: static;
        float: none;
    }
}

.navbar-text {
    display: inline-block;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.navbar-collapse {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    -ms-flex-positive: 1;
    flex-grow: 1;
    -ms-flex-align: center;
    align-items: center;
}

.navbar-toggler {
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 0.25rem;

    &:hover {
        text-decoration: none;
    }

    &:focus {
        text-decoration: none;
    }
}

.breadcrumb {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 0.75rem 1rem;
    margin-bottom: 1rem;
    list-style: none;
    background-color: #e9ecef;
    border-radius: 0.25rem;
}

.breadcrumb-item {
    display: -ms-flexbox;
    display: flex;

    + {
        .breadcrumb-item {
            padding-left: 0.5rem;

            &::before {
                display: inline-block;
                padding-right: 0.5rem;
                color: #6c757d;
                content: "/";
            }

            &:hover {
                &::before {
                    text-decoration: underline;
                    text-decoration: none;
                }
            }
        }
    }
}

.breadcrumb-item.active {
    color: #6c757d;
}

.pagination {
    display: -ms-flexbox;
    display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: 0.25rem;
}

.page-link {
    position: relative;
    display: block;
    padding: 0.5rem 0.75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #007bff;
    background-color: #fff;
    border: 1px solid #dee2e6;

    &:hover {
        z-index: 2;
        color: #0056b3;
        text-decoration: none;
        background-color: #e9ecef;
        border-color: #dee2e6;
    }

    &:focus {
        z-index: 3;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }
}

.page-item {
    &:first-child {
        .page-link {
            margin-left: 0;
            border-top-left-radius: 0.25rem;
            border-bottom-left-radius: 0.25rem;
        }
    }

    &:last-child {
        .page-link {
            border-top-right-radius: 0.25rem;
            border-bottom-right-radius: 0.25rem;
        }
    }
}

.page-item.active {
    .page-link {
        z-index: 3;
        color: #fff;
        background-color: #007bff;
        border-color: #007bff;
    }
}

.page-item.disabled {
    .page-link {
        color: #6c757d;
        pointer-events: none;
        cursor: auto;
        background-color: #fff;
        border-color: #dee2e6;
    }
}

.progress {
    display: -ms-flexbox;
    display: flex;
    height: 1rem;
    overflow: hidden;
    line-height: 0;
    font-size: 0.75rem;
    background-color: #e9ecef;
    border-radius: 0.25rem;
}

.progress-bar {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #007bff;
    transition: width 0.6s ease;
}

.progress-bar-striped {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-size: 1rem 1rem;
}

.progress-bar-animated {
    -webkit-animation: progress-bar-stripes 1s linear infinite;
    animation: progress-bar-stripes 1s linear infinite;
}

.list-group {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    border-radius: 0.25rem;
}

.list-group-item-action {
    width: 100%;
    color: #495057;
    text-align: inherit;

    &:hover {
        z-index: 1;
        color: #495057;
        text-decoration: none;
        background-color: #f8f9fa;
    }

    &:focus {
        z-index: 1;
        color: #495057;
        text-decoration: none;
        background-color: #f8f9fa;
    }

    &:active {
        color: #212529;
        background-color: #e9ecef;
    }
}

.list-group-item {
    position: relative;
    display: block;
    padding: 0.75rem 1.25rem;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.125);

    &:first-child {
        border-top-left-radius: inherit;
        border-top-right-radius: inherit;
    }

    &:last-child {
        border-bottom-right-radius: inherit;
        border-bottom-left-radius: inherit;
    }

    &:disabled {
        color: #6c757d;
        pointer-events: none;
        background-color: #fff;
    }

    + {
        .list-group-item {
            border-top-width: 0;
        }

        .list-group-item.active {
            margin-top: -1px;
            border-top-width: 1px;
        }
    }
}

.list-group-item.disabled {
    color: #6c757d;
    pointer-events: none;
    background-color: #fff;
}

.list-group-item.active {
    z-index: 2;
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.list-group-horizontal {
    -ms-flex-direction: row;
    flex-direction: row;

    >.list-group-item {
        &:first-child {
            border-bottom-left-radius: 0.25rem;
            border-top-right-radius: 0;
        }

        &:last-child {
            border-top-right-radius: 0.25rem;
            border-bottom-left-radius: 0;
        }

        + {
            .list-group-item {
                border-top-width: 1px;
                border-left-width: 0;
            }

            .list-group-item.active {
                margin-left: -1px;
                border-left-width: 1px;
            }
        }
    }

    >.list-group-item.active {
        margin-top: 0;
    }
}

.close {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;

    &:hover {
        color: #000;
        text-decoration: none;
    }

    &:not(:disabled) {
        &:not(.disabled) {
            &:hover {
                opacity: .75;
            }

            &:focus {
                opacity: .75;
            }
        }
    }
}

button.close {
    padding: 0;
    background-color: transparent;
    border: 0;
}

a.close.disabled {
    pointer-events: none;
}

.modal-open {
    overflow: hidden;

    .modal {
        overflow-x: hidden;
        overflow-y: auto;
    }
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    display: none;
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: 0.5rem;
    pointer-events: none;
}

.modal.fade {
    .modal-dialog {
        transition: -webkit-transform 0.3s ease-out;
        transition: transform 0.3s ease-out;
        transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
        -webkit-transform: translate(0, -50px);
        transform: translate(0, -50px);
    }
}

.modal.show {
    .modal-dialog {
        -webkit-transform: none;
        transform: none;
    }
}

.modal.modal-static {
    .modal-dialog {
        -webkit-transform: scale(1.02);
        transform: scale(1.02);
    }
}

.modal-dialog-scrollable {
    display: -ms-flexbox;
    display: flex;
    max-height: calc(100% - 1rem);

    .modal-content {
        max-height: calc(100vh - 1rem);
        overflow: hidden;
    }

    .modal-header {
        -ms-flex-negative: 0;
        flex-shrink: 0;
    }

    .modal-footer {
        -ms-flex-negative: 0;
        flex-shrink: 0;
    }

    .modal-body {
        overflow-y: auto;
    }
}

.modal-dialog-centered {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    min-height: calc(100% - 1rem);

    &::before {
        display: block;
        height: calc(100vh - 1rem);
        height: -webkit-min-content;
        height: -moz-min-content;
        height: min-content;
        content: "";
    }
}

.modal-dialog-centered.modal-dialog-scrollable {
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    height: 100%;

    .modal-content {
        max-height: none;
    }

    &::before {
        content: none;
    }
}

.modal-content {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
    outline: 0;
}

.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    background-color: #000;
}

.modal-backdrop.fade {
    opacity: 0;
}

.modal-backdrop.show {
    opacity: 0.5;
}

.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);

    .close {
        padding: 1rem 1rem;
        margin: -1rem -1rem -1rem auto;
    }
}

.modal-title {
    margin-bottom: 0;
    line-height: 1.5;
}

.modal-body {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 0.75rem;
    border-top: 1px solid #dee2e6;
    border-bottom-right-radius: calc(0.3rem - 1px);
    border-bottom-left-radius: calc(0.3rem - 1px);

    >* {
        margin: 0.25rem;
    }
}

.modal-scrollbar-measure {
    position: absolute;
    top: -9999px;
    width: 50px;
    height: 50px;
    overflow: scroll;
}

.clearfix {
    &::after {
        display: block;
        clear: both;
        content: "";
    }
}

@media (max-width: 575.98px) {
    .table-responsive-sm {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;

        >.table-bordered {
            border: 0;
        }
    }
}

@media (max-width: 767.98px) {
    .table-responsive-md {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;

        >.table-bordered {
            border: 0;
        }
    }
}

@media (max-width: 991.98px) {
    .table-responsive-lg {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;

        >.table-bordered {
            border: 0;
        }
    }
}

@media (max-width: 1199.98px) {
    .table-responsive-xl {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;

        >.table-bordered {
            border: 0;
        }
    }
}

@media (prefers-reduced-motion: reduce) {
    .form-control {
        transition: none;
    }

    .fade {
        transition: none;
    }

    .collapsing {
        transition: none;
    }

    .progress-bar {
        transition: none;
    }

    .modal.fade {
        .modal-dialog {
            transition: none;
        }
    }
}

@media (min-width: 576px) {
    .form-inline {
        label {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            -ms-flex-pack: center;
            justify-content: center;
            margin-bottom: 0;
        }

        .form-group {
            display: -ms-flexbox;
            display: flex;
            -ms-flex: 0 0 auto;
            flex: 0 0 auto;
            -ms-flex-flow: row wrap;
            flex-flow: row wrap;
            -ms-flex-align: center;
            align-items: center;
            margin-bottom: 0;
        }

        .form-control {
            display: inline-block;
            width: auto;
            vertical-align: middle;
        }

        .form-control-plaintext {
            display: inline-block;
        }

        .input-group {
            width: auto;
        }

        .custom-select {
            width: auto;
        }

        .form-check {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            -ms-flex-pack: center;
            justify-content: center;
            width: auto;
            padding-left: 0;
        }

        .form-check-input {
            position: relative;
            -ms-flex-negative: 0;
            flex-shrink: 0;
            margin-top: 0;
            margin-right: 0.25rem;
            margin-left: 0;
        }

        .custom-control {
            -ms-flex-align: center;
            align-items: center;
            -ms-flex-pack: center;
            justify-content: center;
        }

        .custom-control-label {
            margin-bottom: 0;
        }
    }

    .dropdown-menu-sm-left {
        right: auto;
        left: 0;
    }

    .dropdown-menu-sm-right {
        right: 0;
        left: auto;
    }

    .list-group-horizontal-sm {
        -ms-flex-direction: row;
        flex-direction: row;

        >.list-group-item {
            &:first-child {
                border-bottom-left-radius: 0.25rem;
                border-top-right-radius: 0;
            }

            &:last-child {
                border-top-right-radius: 0.25rem;
                border-bottom-left-radius: 0;
            }

            + {
                .list-group-item {
                    border-top-width: 1px;
                    border-left-width: 0;
                }

                .list-group-item.active {
                    margin-left: -1px;
                    border-left-width: 1px;
                }
            }
        }

        >.list-group-item.active {
            margin-top: 0;
        }
    }

    .modal-dialog {
        max-width: 500px;
        margin: 1.75rem auto;
    }

    .modal-dialog-scrollable {
        max-height: calc(100% - 3.5rem);

        .modal-content {
            max-height: calc(100vh - 3.5rem);
        }
    }

    .modal-dialog-centered {
        min-height: calc(100% - 3.5rem);

        &::before {
            height: calc(100vh - 3.5rem);
            height: -webkit-min-content;
            height: -moz-min-content;
            height: min-content;
        }
    }

    .modal-sm {
        max-width: 300px;
    }
}

@media (min-width: 768px) {
    .dropdown-menu-md-left {
        right: auto;
        left: 0;
    }

    .dropdown-menu-md-right {
        right: 0;
        left: auto;
    }

    .list-group-horizontal-md {
        -ms-flex-direction: row;
        flex-direction: row;

        >.list-group-item {
            &:first-child {
                border-bottom-left-radius: 0.25rem;
                border-top-right-radius: 0;
            }

            &:last-child {
                border-top-right-radius: 0.25rem;
                border-bottom-left-radius: 0;
            }

            + {
                .list-group-item {
                    border-top-width: 1px;
                    border-left-width: 0;
                }

                .list-group-item.active {
                    margin-left: -1px;
                    border-left-width: 1px;
                }
            }
        }

        >.list-group-item.active {
            margin-top: 0;
        }
    }
}

@media (min-width: 992px) {
    .dropdown-menu-lg-left {
        right: auto;
        left: 0;
    }

    .dropdown-menu-lg-right {
        right: 0;
        left: auto;
    }

    .list-group-horizontal-lg {
        -ms-flex-direction: row;
        flex-direction: row;

        >.list-group-item {
            &:first-child {
                border-bottom-left-radius: 0.25rem;
                border-top-right-radius: 0;
            }

            &:last-child {
                border-top-right-radius: 0.25rem;
                border-bottom-left-radius: 0;
            }

            + {
                .list-group-item {
                    border-top-width: 1px;
                    border-left-width: 0;
                }

                .list-group-item.active {
                    margin-left: -1px;
                    border-left-width: 1px;
                }
            }
        }

        >.list-group-item.active {
            margin-top: 0;
        }
    }

    .modal-lg {
        max-width: 800px;
    }

    .modal-xl {
        max-width: 800px;
    }
}

@media (min-width: 1200px) {
    .dropdown-menu-xl-left {
        right: auto;
        left: 0;
    }

    .dropdown-menu-xl-right {
        right: 0;
        left: auto;
    }

    .list-group-horizontal-xl {
        -ms-flex-direction: row;
        flex-direction: row;

        >.list-group-item {
            &:first-child {
                border-bottom-left-radius: 0.25rem;
                border-top-right-radius: 0;
            }

            &:last-child {
                border-top-right-radius: 0.25rem;
                border-bottom-left-radius: 0;
            }

            + {
                .list-group-item {
                    border-top-width: 1px;
                    border-left-width: 0;
                }

                .list-group-item.active {
                    margin-left: -1px;
                    border-left-width: 1px;
                }
            }
        }

        >.list-group-item.active {
            margin-top: 0;
        }
    }

    .modal-xl {
        max-width: 1140px;
    }
}

button {
    border-radius: 0;
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    overflow: visible;
    text-transform: none;
    -webkit-appearance: button;

    // &:focus {
    //     outline: 1px dotted;
    //     outline: 5px auto -webkit-focus-ring-color;
    // }

    & {
        &:not(:disabled) {
            cursor: pointer;
        }

        &::-moz-focus-inner {
            padding: 0;
            border-style: none;
        }
    }
}

.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn {
    &:hover {
        color: #212529;
        text-decoration: none;
    }

    &:focus {
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }

    &:disabled {
        opacity: 0.65;
    }

    &:not(:disabled) {
        &:not(.disabled) {
            cursor: pointer;
        }
    }
}

.btn.focus {
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.btn.disabled {
    opacity: 0.65;
}

a.btn.disabled {
    pointer-events: none;
}

fieldset {
    &:disabled {
        a.btn {
            pointer-events: none;
        }
    }
}

.btn-block {
    + {
        .btn-block {
            margin-top: 0.5rem;
        }
    }
}

@media (prefers-reduced-motion: reduce) {
    .btn {
        transition: none;
    }
}